package com.jeeplus.modules.sg.financial.erpcredit.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;


import java.io.Serializable;

/**
 * erp明细账 对应单行数据
 */
public class ErpAccount implements Serializable {
    private static final long serialVersionUID = 1L;

    private String WbsDetails;//WBS描述
    private String ProjectDefinitionCode;//项目定义编码
    private String ProjectDefinitionDetails;//项目定义描述
    private String subjectName;//科目名称
    private Double lineItemAmount;//行项目金额
    private String theNumber;//数量
    private String materialCode;
    private String materialDetails;//物料描述
    private String unit;//单位
    private Double theInputTax;//进项税额
    private String supplierName;//供应商名称

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getWbsDetails() {
        return WbsDetails;
    }

    public void setWbsDetails(String wbsDetails) {
        WbsDetails = wbsDetails;
    }

    public String getProjectDefinitionCode() {
        return ProjectDefinitionCode;
    }

    public void setProjectDefinitionCode(String projectDefinitionCode) {
        ProjectDefinitionCode = projectDefinitionCode;
    }

    public String getProjectDefinitionDetails() {
        return ProjectDefinitionDetails;
    }

    public void setProjectDefinitionDetails(String projectDefinitionDetails) {
        ProjectDefinitionDetails = projectDefinitionDetails;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Double getLineItemAmount() {
        return lineItemAmount;
    }

    public void setLineItemAmount(Double lineItemAmount) {
        this.lineItemAmount = lineItemAmount;
    }

    public String getTheNumber() {
        return theNumber;
    }

    public void setTheNumber(String theNumber) {
        this.theNumber = theNumber;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialDetails() {
        return materialDetails;
    }

    public void setMaterialDetails(String materialDetails) {
        this.materialDetails = materialDetails;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Double getTheInputTax() {
        return theInputTax;
    }

    public void setTheInputTax(Double theInputTax) {
        this.theInputTax = theInputTax;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
